Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
autocomplete
/
live
/
advanced
Live Google Autocomplete Advanced
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/autocomplete/live/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "client": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].result": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

Keyword to get autocomplete suggestions for

client
string

Search client for autocomplete

location_name
string

Full name of search engine location

location_code
integer

Search engine location code

language_name
string

Full name of search engine language

language_code
string

Search engine language code

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks
string[]

Array of tasks

tasks[].result
string[]

Array of live SERP results